View | Details | Raw Unified | Return to bug 148582
Collapse All | Expand All

(-)/usr/ports/audio/gmm/Makefile (-16 / +32 lines)
Lines 6-50 Link Here
6
#
6
#
7
7
8
PORTNAME=	gmm
8
PORTNAME=	gmm
9
PORTVERSION=	0.10.22
9
PORTVERSION=	0.10.25
10
PORTREVISION=	1
11
CATEGORIES=	audio
10
CATEGORIES=	audio
12
MASTER_SITES=	http://gogglesmm.googlecode.com/files/
11
MASTER_SITES=	http://gogglesmm.googlecode.com/files/
13
DISTNAME=	musicmanager-${PORTVERSION}
12
DISTNAME=	gogglesmm-${PORTVERSION}
14
13
15
MAINTAINER=	sklauder@trimind.de
14
MAINTAINER=	sklauder@trimind.de
16
COMMENT=	Music collection manager and player
15
COMMENT=	Music collection manager and player
17
16
18
BUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash
19
LIB_DEPENDS=	FOX-1.6:${PORTSDIR}/x11-toolkits/fox16 		\
17
LIB_DEPENDS=	FOX-1.6:${PORTSDIR}/x11-toolkits/fox16 		\
20
		xine.1:${PORTSDIR}/multimedia/libxine		\
18
		xine.1:${PORTSDIR}/multimedia/libxine		\
21
		tag.1:${PORTSDIR}/audio/taglib			\
19
		tag.1:${PORTSDIR}/audio/taglib			\
22
		sqlite3.8:${PORTSDIR}/databases/sqlite3		\
20
		sqlite3.8:${PORTSDIR}/databases/sqlite3
23
		dbus-1:${PORTSDIR}/devel/dbus			\
21
24
		curl.6:${PORTSDIR}/ftp/curl
22
OPTIONS=	DBUS "Add DBUS support" on \
23
		CURL "Add Curl support" on \
24
		NLS "Add support for nls" on \
25
		NEWREMOTE "Use new remote player" on
25
26
26
GNU_CONFIGURE=	yes
27
GNU_CONFIGURE=	yes
27
MAKE_JOBS_SAFE=	yes
28
MAKE_JOBS_SAFE=	yes
28
USE_GMAKE=	yes
29
USE_GMAKE=	yes
29
USE_BZIP2=	yes
30
USE_XZ=		yes
30
USE_GETTEXT=	yes
31
USE_GNOME=	gtk20
32
INSTALLS_ICONS=	yes
31
INSTALLS_ICONS=	yes
33
32
33
LICENSE=	GPLv3
34
LICENSE_FILE=	${WRKSRC}/COPYING
35
34
PORTDOCS=	README AUTHORS
36
PORTDOCS=	README AUTHORS
35
37
36
CONFIGURE_ENV=	OPT_CFLAGS=" "
38
CONFIGURE_ENV=	OPT_CFLAGS=" "
37
39
38
.include <bsd.port.pre.mk>
40
.include <bsd.port.options.mk>
41
.if defined(WITHOUT_DBUS)
42
CONFIGURE_ARGS+=	--without-dbus
43
.else
44
LIB_DEPENDS+=	dbus-1:${PORTSDIR}/devel/dbus
45
.endif
46
47
.if defined(WITHOUT_CURL)
48
CONFIGURE_ARGS+=	--without-curl
49
.else
50
LIB_DEPENDS+=	curl.6:${PORTSDIR}/ftp/curl
51
.endif
52
53
.if defined(WITHOUT_NLS)
54
CONFIGURE_ARGS+=--disable-nls
55
PLIST_SUB=	NLS="@comment "
56
.else
57
USE_GETTEXT=	yes
58
.endif
39
59
40
.if defined(WITHOUT_NEWREMOTE)
60
.if defined(WITHOUT_NEWREMOTE)
41
CONFIGURE_ARGS+=--without-new-remote
61
CONFIGURE_ARGS+=--without-new-remote
42
.endif
62
.endif
43
63
44
post-patch:
45
	@${REINPLACE_CMD} -i '' -e "s|/bin/bash|${LOCALBASE}/bin/bash|; \
46
		s|/usr/local|${LOCALBASE}|" ${WRKSRC}/configure
47
48
post-configure:
64
post-configure:
49
	@${REINPLACE_CMD} -i '' -e 's| -[DT] | |g' \
65
	@${REINPLACE_CMD} -i '' -e 's| -[DT] | |g' \
50
		${WRKSRC}/Makefile
66
		${WRKSRC}/Makefile
Lines 57-60 Link Here
57
. endfor
73
. endfor
58
.endif
74
.endif
59
75
60
.include <bsd.port.post.mk>
76
.include <bsd.port.mk>
(-)/usr/ports/audio/gmm/distinfo (-3 / +3 lines)
Lines 1-3 Link Here
1
MD5 (musicmanager-0.10.22.tar.bz2) = 0379054b9cf2a2d4074a0129d03b3763
1
MD5 (gogglesmm-0.10.25.tar.xz) = fe33fd0e5a0b63371563a962951bca45
2
SHA256 (musicmanager-0.10.22.tar.bz2) = 8083dab95a483ba975873ce6bed1054752b2fdb207d2424383aa1d77593ee536
2
SHA256 (gogglesmm-0.10.25.tar.xz) = bd23f93c87c413c47bbbe132ee06313edb0cb39499d67b72521b7dcaf2a11390
3
SIZE (musicmanager-0.10.22.tar.bz2) = 422520
3
SIZE (gogglesmm-0.10.25.tar.xz) = 358932
(-)/usr/ports/audio/gmm/files/patch-build__byteorderdetect (+19 lines)
Line 0 Link Here
1
--- ./build/byteorderdetect.orig	2010-07-09 16:28:43.000000000 +0200
2
+++ ./build/byteorderdetect	2010-07-14 00:06:39.941240488 +0200
3
@@ -39,13 +39,13 @@
4
 $CXX ${OUTPUTBIN} checkbyteorder checkbyteorder.cpp
5
 
6
 BYTEORDER=${BYTEORDER:-0}
7
-if [[ -x checkbyteorder ]] ; then
8
+if [ -x checkbyteorder ] ; then
9
   ./checkbyteorder
10
-	if [[ $? -eq 1 ]] ; then
11
+	if [ $? -eq 1 ] ; then
12
 		BYTEORDER=1
13
 	fi
14
 	rm -rf checkbyteorder 
15
 fi
16
 rm -rf checkbyteorder.cpp
17
-DEFINES+="-DFOX_BIGENDIAN=${BYTEORDER} "
18
+DEFINES="$DEFINES -DFOX_BIGENDIAN=${BYTEORDER} "
19
 cd ..
(-)/usr/ports/audio/gmm/files/patch-configure (+474 lines)
Line 0 Link Here
1
--- ./configure.orig	2010-07-09 16:28:43.000000000 +0200
2
+++ ./configure	2010-07-14 00:09:38.495677309 +0200
3
@@ -1,4 +1,4 @@
4
-#!/usr/bin/env bash
5
+#!/bin/sh
6
 #-----------------------------
7
 
8
 # Settings
9
@@ -131,7 +131,7 @@
10
 
11
 # Print Command Line Options
12
 #---------------------------
13
-if [[ $HELP -eq 1 ]] ; then
14
+if [ $HELP -eq 1 ] ; then
15
   echo "Available options:"
16
   echo "   --enable-debug                  Compile with debug information"
17
   echo "   --with-taglib-extras            Use taglib-extras library for ASF and MP4 support."
18
@@ -159,14 +159,14 @@
19
 
20
 # Debug / Release Mode
21
 #----------------------
22
-if [[ $DEBUG -eq 1 ]] ; then
23
+if [ $DEBUG -eq 1 ] ; then
24
   CFLAGS=${CFLAGS:-$GEN_CFLAGS $DEBUG_CFLAGS}
25
   LDFLAGS=${LDFLAGS:-$GEN_LDFLAGS $DEBUG_LDFLAGS}
26
-  DEFINES+="-DDEBUG "
27
+  DEFINES="$DEFINES -DDEBUG "
28
 else
29
   CFLAGS=${CFLAGS:-$GEN_CFLAGS $OPT_CFLAGS}
30
   LDFLAGS=${LDFLAGS:-$GEN_LDFLAGS $OPT_LDFLAGS}
31
-  DEFINES+="-DNDEBUG "
32
+  DEFINES="$DEFINES -DNDEBUG "
33
 fi
34
 
35
 # Check for generic config in prefix
36
@@ -175,7 +175,7 @@
37
 {
38
   echo "    Search for $1 in $2 ... "
39
 
40
-  if [[ ! -x $2/bin/$3 ]] ; then
41
+  if [ ! -x $2/bin/$3 ] ; then
42
     return 0
43
   fi
44
 
45
@@ -195,12 +195,12 @@
46
 
47
   # Make sure it is a compatible version
48
   #--------------------------------------------
49
-  if [[ $CONFIG_MAJOR -lt $4 ]] ; then
50
+  if [ $CONFIG_MAJOR -lt $4 ] ; then
51
       echo "        Check $1 Version => Unsupported ($CONFIG_MAJOR.$CONFIG_MINOR.$CONFIG_RELEASE)"
52
       return 0
53
   fi
54
 
55
-  if [[ $CONFIG_MINOR -lt $5 ]] ; then
56
+  if [ $CONFIG_MINOR -lt $5 ] ; then
57
       echo "        Check $1 Version => Unsupported ($CONFIG_MAJOR.$CONFIG_MINOR.$CONFIG_RELEASE)"
58
       return 0
59
   fi
60
@@ -222,7 +222,7 @@
61
 #  echo "pkg-config --exists \"$1 >= $3\""
62
 #  RUN=`pkg-config --exists '$1 >= $3'`
63
   pkg-config --exists "$1 >= $3"
64
-  if [[ "$?" -ne "0" ]] ; then
65
+  if [ "$?" -ne "0" ] ; then
66
     echo "\"$?\""
67
     return 0
68
   fi
69
@@ -236,24 +236,24 @@
70
   PKG_LIBS=`pkg-config --libs-only-l $1`
71
   PKG_LIBS_OTHER=`pkg-config --libs-only-other $1`
72
 
73
-  if [[ -n $PKG_CFLAGS ]] ; then
74
-    CFLAGS+="$PKG_CFLAGS "
75
+  if [ -n "$PKG_CFLAGS" ] ; then
76
+    CFLAGS="$CFLAGS $PKG_CFLAGS "
77
   fi
78
 
79
-  if [[ -n $PKG_INCFLAGS ]] ; then
80
-    INCFLAGS+="$PKG_INCFLAGS "
81
+  if [ -n "$PKG_INCFLAGS" ] ; then
82
+    INCFLAGS="$INCFLAGS $PKG_INCFLAGS "
83
   fi
84
 
85
-  if [[ -n $PKG_LDFLAGS ]] ; then
86
-    LDFLAGS+="$PKG_LDFLAGS "
87
+  if [ -n $PKG_LDFLAGS ] ; then
88
+    LDFLAGS="$LDFLAGS $PKG_LDFLAGS "
89
   fi
90
 
91
-  if [[ -n $PKG_LIBS ]] ; then
92
-    LIBS+=" $PKG_LIBS "
93
+  if [ -n $PKG_LIBS ] ; then
94
+    LIBS="$LIBS $PKG_LIBS "
95
   fi
96
 
97
-  if [[ -n $PKG_LIBS_OTHER ]] ; then
98
-    LIBS+=" $PKG_LIBS_OTHER "
99
+  if [ -n $PKG_LIBS_OTHER ] ; then
100
+    LIBS="$LIBS $PKG_LIBS_OTHER "
101
   fi
102
 
103
   echo ""
104
@@ -273,25 +273,25 @@
105
   MAJOR=1
106
   MINOR=6
107
 
108
-  if [[ -n "$FOX_PREFIX" ]] ; then
109
+  if [ -n "$FOX_PREFIX" ] ; then
110
     check_in_prefix "FOX" $FOX_PREFIX "fox-config" $MAJOR $MINOR
111
-    if [[ $? -eq 0 ]] ; then
112
+    if [ $? -eq 0 ] ; then
113
       echo " Unable to find a compatible FOX library installation. Please make"
114
       echo " sure the correct version is installed including the header files."
115
       echo " You can use the \"--fox-prefix\" option to search in an"
116
       echo " alternative installation directory."
117
-      exit -1
118
+      exit 1
119
     fi
120
   else
121
     check_in_prefix "FOX" "/usr" "fox-config" $MAJOR $MINOR
122
-    if [[ $? -eq 0 ]] ; then
123
+    if [ $? -eq 0 ] ; then
124
       check_in_prefix "FOX" "/usr/local" "fox-config" $MAJOR $MINOR
125
-      if [[ $? -eq 0 ]] ; then
126
+      if [ $? -eq 0 ] ; then
127
           echo " Unable to find a compatible FOX library installation. Please make"
128
           echo " sure the correct version is installed including the header files."
129
           echo " You can use the \"--fox-prefix\" option to search in an"
130
           echo " alternative installation directory."
131
-          exit -1
132
+          exit 1
133
       fi
134
     fi
135
   fi
136
@@ -302,8 +302,8 @@
137
   RESVERSION=`echo ${RESCMD} | cut -d" " -f2`
138
   RESWRAP_MAJOR=`echo ${RESVERSION} | cut -d. -f1`
139
 
140
-  if [[ -d icons ]] ; then
141
-    if [[ $RESWRAP_MAJOR = "5" ]] ; then
142
+  if [ -d icons ] ; then
143
+    if [ $RESWRAP_MAJOR = "5" ] ; then
144
       RESWRAP_H="${CONFIG_PREFIX}/bin/reswrap --keep-ext --header"
145
       RESWRAP_CPP="${CONFIG_PREFIX}/bin/reswrap --keep-ext --source --extern"
146
       RESWRAP_TEXT="${CONFIG_PREFIX}/bin/reswrap -t --keep-ext"
147
@@ -324,10 +324,10 @@
148
   MAJOR=1
149
   MINOR=0
150
 
151
-  if [[ -n "$XINE_PREFIX" ]] ; then
152
+  if [ -n "$XINE_PREFIX" ] ; then
153
     export PKG_CONFIG_PATH="$XINE_PREFIX/lib/pkgconfig:$XINE_PREFIX/lib64/pkgconfig:$XINE_PREFIX/share/pkgconfig"
154
     check_in_prefix "XINE" $XINE_PREFIX "xine-config" $MAJOR $MINOR
155
-    if [[ $? -eq 0 ]] ; then
156
+    if [ $? -eq 0 ] ; then
157
       echo " Unable to find a compatible XINE library installation. Please make"
158
       echo " sure the correct version is installed including the header files."
159
       echo " You can use the \"--xine-prefix\" option to search in an"
160
@@ -337,10 +337,10 @@
161
   else
162
     export PKG_CONFIG_PATH="/usr/lib/pkgconfig:/usr/lib64/pkgconfig:/usr/share/pkgconfig"
163
     check_in_prefix "XINE" "/usr" "xine-config" $MAJOR $MINOR
164
-    if [[ $? -eq 0 ]] ; then
165
+    if [ $? -eq 0 ] ; then
166
       export PKG_CONFIG_PATH="/usr/local/lib/pkgconfig:/usr/local/lib64/pkgconfig:/usr/local/share/pkgconfig"
167
       check_in_prefix "XINE" "/usr/local" "xine-config" $MAJOR $MINOR
168
-      if [[ $? -eq 0 ]] ; then
169
+      if [ $? -eq 0 ] ; then
170
           echo " Unable to find a compatible XINE library installation. Please make"
171
           echo " sure the correct version is installed including the header files."
172
           echo " You can use the \"--xine-prefix\" option to search in an"
173
@@ -355,10 +355,10 @@
174
 #---------------------------
175
 check_dbus()
176
 {
177
-  if [[ $DBUS -eq 1 ]] ; then
178
-    if [[ -n "$DBUS_PREFIX" ]] ; then
179
+  if [ $DBUS -eq 1 ] ; then
180
+    if [ -n "$DBUS_PREFIX" ] ; then
181
       check_required_pkg dbus-1 $DBUS_PREFIX "1.0"
182
-      if [[ $? -eq 0 ]] ; then
183
+      if [ $? -eq 0 ] ; then
184
         echo " Unable to find a compatible DBUS library installation. Please make"
185
         echo " sure the correct version is installed including the header files."
186
         echo " You can use the \"--dbus-prefix\" option to search in an"
187
@@ -368,9 +368,9 @@
188
       fi
189
     else
190
       check_required_pkg dbus-1 "/usr" "1.0"
191
-      if [[ $? -eq 0 ]] ; then
192
+      if [ $? -eq 0 ] ; then
193
         check_required_pkg dbus-1 "/usr/local" "1.0"
194
-        if [[ $? -eq 0 ]] ; then
195
+        if [ $? -eq 0 ] ; then
196
             echo " Unable to find a compatible DBUS library installation. Please make"
197
             echo " sure the correct version is installed including the header files."
198
             echo " You can use the \"--dbus-prefix\" option to search in an"
199
@@ -380,7 +380,7 @@
200
         fi
201
       fi
202
     fi
203
-    DEFINES+="-DHAVE_DBUS "
204
+    DEFINES="$DEFINES -DHAVE_DBUS "
205
   fi
206
 }
207
 
208
@@ -388,9 +388,9 @@
209
 
210
 check_sqlite()
211
 {
212
-  if [[ -n "$SQLITE_PREFIX" ]] ; then
213
+  if [ -n "$SQLITE_PREFIX" ] ; then
214
     check_required_pkg sqlite3 $SQLITE_PREFIX "3.4"
215
-    if [[ $? -eq 0 ]] ; then
216
+    if [ $? -eq 0 ] ; then
217
       echo " Unable to find a compatible SQLITE library installation. Please make"
218
       echo " sure the correct version is installed including the header files."
219
       echo " You can use the \"--sqlite-prefix\" option to search in an"
220
@@ -399,9 +399,9 @@
221
     fi
222
   else
223
     check_required_pkg sqlite3 "/usr" "3.4"
224
-    if [[ $? -eq 0 ]] ; then
225
+    if [ $? -eq 0 ] ; then
226
       check_required_pkg sqlite3 "/usr/local" "3.4"
227
-      if [[ $? -eq 0 ]] ; then
228
+      if [ $? -eq 0 ] ; then
229
           echo " Unable to find a compatible SQLITE library installation. Please make"
230
           echo " sure the correct version is installed including the header files."
231
           echo " You can use the \"--sqlite-prefix\" option to search in an"
232
@@ -416,17 +416,17 @@
233
 
234
 check_taglib_16()
235
 {
236
-  if [[ -n "$TAGLIB_PREFIX" ]] ; then
237
+  if [ -n "$TAGLIB_PREFIX" ] ; then
238
     check_required_pkg taglib $TAGLIB_PREFIX "1.6"
239
-    if [[ $? -eq 0 ]] ; then
240
+    if [ $? -eq 0 ] ; then
241
       TAGLIB_16=0
242
       return
243
     fi
244
   else
245
     check_required_pkg taglib "/usr" "1.6"
246
-    if [[ $? -eq 0 ]] ; then
247
+    if [ $? -eq 0 ] ; then
248
       check_required_pkg taglib "/usr/local" "1.6"
249
-      if [[ $? -eq 0 ]] ; then
250
+      if [ $? -eq 0 ] ; then
251
         TAGLIB_16=0
252
         return
253
       fi
254
@@ -439,9 +439,9 @@
255
 check_taglib()
256
 {
257
   echo " Warning: please consider upgrading to taglib 1.6.3"
258
-  if [[ -n "$TAGLIB_PREFIX" ]] ; then
259
+  if [ -n "$TAGLIB_PREFIX" ] ; then
260
     check_required_pkg taglib $TAGLIB_PREFIX "1.4"
261
-    if [[ $? -eq 0 ]] ; then
262
+    if [ $? -eq 0 ] ; then
263
       echo " Unable to find a compatible TAGLIB library installation. Please make"
264
       echo " sure the correct version is installed including the header files."
265
       echo " You can use the \"--taglib-prefix\" option to search in an"
266
@@ -450,9 +450,9 @@
267
     fi
268
   else
269
     check_required_pkg taglib "/usr" "1.4"
270
-    if [[ $? -eq 0 ]] ; then
271
+    if [ $? -eq 0 ] ; then
272
       check_required_pkg taglib "/usr/local" "1.4"
273
-      if [[ $? -eq 0 ]] ; then
274
+      if [ $? -eq 0 ] ; then
275
           echo " Unable to find a compatible TAGLIB library installation. Please make"
276
           echo " sure the correct version is installed including the header files."
277
           echo " You can use the \"--taglib-prefix\" option to search in an"
278
@@ -466,9 +466,9 @@
279
 
280
 check_taglib_extras()
281
 {
282
-  if [[ -n "$TAGLIB_EXTRAS_PREFIX" ]] ; then
283
+  if [ -n "$TAGLIB_EXTRAS_PREFIX" ] ; then
284
     check_required_pkg taglib-extras $TAGLIB_EXTRAS_PREFIX "0.1"
285
-    if [[ $? -eq 0 ]] ; then
286
+    if [ $? -eq 0 ] ; then
287
       echo " Unable to find a compatible TAGLIB-EXTRAS library installation. Please make"
288
       echo " sure the correct version is installed including the header files."
289
       echo " You can use the \"--taglib-extras-prefix\" option to search in an"
290
@@ -477,9 +477,9 @@
291
     fi
292
   else
293
     check_required_pkg taglib-extras "/usr" "0.1"
294
-    if [[ $? -eq 0 ]] ; then
295
+    if [ $? -eq 0 ] ; then
296
       check_required_pkg taglib-extras "/usr/local" "0.1"
297
-      if [[ $? -eq 0 ]] ; then
298
+      if [ $? -eq 0 ] ; then
299
           echo " Unable to find a compatible TAGLIB-EXTRAS library installation. Please make"
300
           echo " sure the correct version is installed including the header files."
301
           echo " You can use the \"--taglib-extras-prefix\" option to search in an"
302
@@ -493,10 +493,10 @@
303
 
304
 check_libcurl()
305
 {
306
-  if [[ $CURL -eq 1 ]] ; then
307
-    if [[ -n "$CURL_PREFIX" ]] ; then
308
+  if [ $CURL -eq 1 ] ; then
309
+    if [ -n "$CURL_PREFIX" ] ; then
310
       check_required_pkg libcurl $CURL_PREFIX "7.19"
311
-      if [[ $? -eq 0 ]] ; then
312
+      if [ $? -eq 0 ] ; then
313
         echo " Unable to find a compatible libcurl library installation. Please make"
314
         echo " sure the correct version is installed including the header files."
315
         echo " You can use the \"--libcurl-prefix\" option to search in an"
316
@@ -506,9 +506,9 @@
317
       fi
318
     else
319
       check_required_pkg libcurl "/usr" "7.19"
320
-      if [[ $? -eq 0 ]] ; then
321
+      if [ $? -eq 0 ] ; then
322
         check_required_pkg libcurl "/usr/local" "7.19"
323
-        if [[ $? -eq 0 ]] ; then
324
+        if [ $? -eq 0 ] ; then
325
             echo " Unable to find a compatible libcurl library installation. Please make"
326
             echo " sure the correct version is installed including the header files."
327
             echo " You can use the \"--libcurl-prefix\" option to search in an"
328
@@ -518,7 +518,7 @@
329
         fi
330
       fi
331
     fi
332
-    DEFINES+="-DHAVE_CURL "
333
+    DEFINES="$DEFINES -DHAVE_CURL "
334
   fi
335
 }
336
 
337
@@ -526,25 +526,25 @@
338
 check_expat()
339
 {
340
   echo "    Adding expat ... "
341
-  LIBS+="-lexpat"
342
+  LIBS="$LIBS -lexpat"
343
 }
344
 
345
 # Which icons to build in
346
 #---------------------------
347
 check_icons()
348
 {
349
-  if [[ $BUILDIN_ICONS -eq 0 ]] && [[ -d "$ICON_DIRECTORY" ]] ; then
350
-    DEFINES+="-DHAVE_EXTERNAL_ICONS -DDEFAULT_ICON_PATH=\"${ICON_DIRECTORY}/${ICON_THEME}\" "
351
+  if [ $BUILDIN_ICONS -eq 0 ] && [ -d "$ICON_DIRECTORY" ] ; then
352
+    DEFINES="$DEFINES -DHAVE_EXTERNAL_ICONS -DDEFAULT_ICON_PATH=\"${ICON_DIRECTORY}/${ICON_THEME}\" "
353
   else
354
     BUILDIN_ICONS=1
355
-    DEFINES+="-DHAVE_INTERNAL_ICONS "
356
+    DEFINES="$DEFINES -DHAVE_INTERNAL_ICONS "
357
   fi
358
 }
359
 
360
 check_remote()
361
 {
362
-  if [[ $OLD_REMOTE -eq 1 ]] ; then
363
-    DEFINES+="-DHAVE_COMPACT_REMOTE "
364
+  if [ $OLD_REMOTE -eq 1 ] ; then
365
+    DEFINES="$DEFINES -DHAVE_COMPACT_REMOTE "
366
   fi
367
 }
368
 
369
@@ -556,15 +556,15 @@
370
 check_xine
371
 check_dbus
372
 check_taglib_16
373
-if [[ $TAGLIB_16 -eq 1 ]] ; then
374
+if [ $TAGLIB_16 -eq 1 ] ; then
375
   ASF=0
376
   MP4=0
377
-  DEFINES+="-DHAVE_TAGLIB_16 "
378
+  DEFINES="$DEFINES -DHAVE_TAGLIB_16 "
379
 else
380
   check_taglib
381
-  if [[ $TAGLIB_EXTRAS -eq 1 ]] ; then
382
+  if [ $TAGLIB_EXTRAS -eq 1 ] ; then
383
     check_taglib_extras
384
-    DEFINES+="-DHAVE_TAGLIB_EXTRAS "
385
+    DEFINES="$DEFINES -DHAVE_TAGLIB_EXTRAS "
386
     ASF=0
387
     MP4=0
388
   fi
389
@@ -584,50 +584,50 @@
390
 
391
 # Features
392
 #------------------------
393
-if [[ $TAGLIB_EXTRAS -eq 0 ]] && [[ $TAGLIB_16 -eq 0 ]] ; then
394
-  if [[ $ASF -eq 0 ]] ; then
395
-    DEFINES+="-DDISABLE_ASF_SUPPORT "
396
+if [ $TAGLIB_EXTRAS -eq 0 ] && [ $TAGLIB_16 -eq 0 ] ; then
397
+  if [ $ASF -eq 0 ] ; then
398
+    DEFINES="$DEFINES -DDISABLE_ASF_SUPPORT "
399
   fi
400
-  if [[ $MP4 -eq 0 ]] ; then
401
-    DEFINES+="-DDISABLE_MP4_SUPPORT "
402
+  if [ $MP4 -eq 0 ] ; then
403
+    DEFINES="$DEFINES -DDISABLE_MP4_SUPPORT "
404
   fi
405
 fi
406
 
407
-if [[ $NLS -eq 1 ]] ; then
408
+if [ $NLS -eq 1 ] ; then
409
   NLSDIR=${NLSDIR:-$PREFIX/share/locale}
410
-  DEFINES+="-DHAVE_NLS -DLOCALEDIR=\"${NLSDIR}\" "
411
+  DEFINES="$DEFINES -DHAVE_NLS -DLOCALEDIR=\"${NLSDIR}\" "
412
 fi
413
 
414
 # Summary
415
 #-------------------------
416
 echo "Features:"
417
-if [[ $DBUS -eq 0 ]] ; then
418
+if [ $DBUS -eq 0 ] ; then
419
   echo "    DBUS Support => no"
420
 else
421
   echo "    DBUS Support => yes"
422
 fi
423
 
424
-if [[ $CURL -eq 0 ]] ; then
425
+if [ $CURL -eq 0 ] ; then
426
   echo "    libcurl Support => no"
427
 else
428
   echo "    libcurl Support => yes"
429
 fi
430
 
431
-if [[ $TAGLIB_16 -eq 1 ]] ; then
432
+if [ $TAGLIB_16 -eq 1 ] ; then
433
   echo "    Taglib 1.6 => yes"
434
   echo "    MP4 / ASF supported if buildin into TagLib."
435
-elif [[ $TAGLIB_EXTRAS -eq 1 ]] ; then
436
+elif [ $TAGLIB_EXTRAS -eq 1 ] ; then
437
   echo "    Taglib-Extras => yes"
438
   echo "    MP4 Support => yes"
439
   echo "    ASF Support => yes"
440
 else
441
   echo "    Taglib-Extras => no"
442
-  if [[ $ASF -eq 0 ]] ; then
443
+  if [ $ASF -eq 0 ] ; then
444
     echo "    ASF Support => no"
445
   else
446
     echo "    ASF Support => yes"
447
   fi
448
-  if [[ $MP4 -eq 0 ]] ; then
449
+  if [ $MP4 -eq 0 ] ; then
450
     echo "    MP4 Support => no"
451
   else
452
     echo "    MP4 Support => yes"
453
@@ -635,18 +635,18 @@
454
 fi
455
 
456
 
457
-if [[ $NLS -eq 0 ]] ; then
458
+if [ $NLS -eq 0 ] ; then
459
   echo "    NLS Support => no"
460
 else
461
   echo "    NLS Support => yes"
462
   echo "    Locale Directory => $NLSDIR"
463
 fi
464
-if [[ $OLD_REMOTE -eq 1 ]] ; then
465
+if [ $OLD_REMOTE -eq 1 ] ; then
466
   echo "    Old Remote => yes"
467
 else
468
   echo "    New Remote => yes"
469
 fi
470
-if [[ $BUILDIN_ICONS -eq 0 ]] ; then
471
+if [ $BUILDIN_ICONS -eq 0 ] ; then
472
   echo "    Icons => external"
473
   echo "    Icon Path => $ICON_DIRECTORY/$ICON_THEME"
474
 else
(-)/usr/ports/audio/gmm/pkg-plist (-9 / +9 lines)
Lines 1-10 Link Here
1
bin/gmm
1
bin/gogglesmm
2
share/applications/gmm.desktop
2
share/applications/gogglesmm.desktop
3
share/icons/hicolor/48x48/apps/gmm.png
3
share/icons/hicolor/48x48/apps/gogglesmm.png
4
share/locale/de/LC_MESSAGES/gogglesmm.mo
4
%%NLS%%share/locale/de/LC_MESSAGES/gogglesmm.mo
5
share/locale/es/LC_MESSAGES/gogglesmm.mo
5
%%NLS%%share/locale/es/LC_MESSAGES/gogglesmm.mo
6
share/locale/fr/LC_MESSAGES/gogglesmm.mo
6
%%NLS%%share/locale/fr/LC_MESSAGES/gogglesmm.mo
7
share/locale/ru/LC_MESSAGES/gogglesmm.mo
7
%%NLS%%share/locale/ru/LC_MESSAGES/gogglesmm.mo
8
share/locale/hu/LC_MESSAGES/gogglesmm.mo
8
%%NLS%%share/locale/hu/LC_MESSAGES/gogglesmm.mo
9
share/locale/cs/LC_MESSAGES/gogglesmm.mo
9
%%NLS%%share/locale/cs/LC_MESSAGES/gogglesmm.mo
10
@dirrmtry share/applications
10
@dirrmtry share/applications

Return to bug 148582